import re

# Copied from https://github.com/curioustorvald/KoreanCursewordRegex
# And modified by Hyunwoong Ko [https://github.com/hyunwoongko]
pattern = re.compile(
    r"([시씨슈쓔쉬쉽쒸쓉][\d\s이ㅣl]*[벌빠빡빨뻘파팔펄])|"
    r"([ㅅㅆᄴ][\d\slㅣ]*[ㄲㅂ])|"
    r"([ㅂㅃ][\d\s]*[ㅅㅆ])|"
    r"(ㅅㅣㅂㅏㄹ?)|"
    r"([ㅈ졷졽좉좆좃좄좇][\d\s오ㅗ]*[또도])|"
    r"(조[\d오ㅗ]*또)|"
    r"([ㅈ존졷졽좉좆좃좄좇준쥰][\d\s]*[ㄴ나니내])|"
    r"([봊봋봇봈볻봁봍][\d\s]*[빨이])|"
    r"([훚훐훛훋훗훘훟훝훑][장앙])|"
    r"([샊샛쉐쉑쉨쉒객갞갟갯갰갴겍겎겏겤곅곆곇곗곘곜걖걗걧걨걬][\d\s]*[끼키퀴])|"
    r"([새시][\d\s]*퀴)|"
    r"([샊샛샜샠섹섺셋셌셐셱솃솄솈섁섂섓섔섘]기)|"
    r"([섹섺섻쎅쎆쎇쎽쎾쎿섁섂섃썍썎썏][스쓰])|"
    r"([가-벻벽-힣]슬아치)|"
    r"([자쟈][박뱍][꼼꾬])|"
    r"(육실[알얼할헐])|"
    r"(즐[^가-힣])|"
    r"([가-힣]{2,}충[^가-힣])|"
    r"([가-힣]{2,}츙)|"
    r"([쪼쪽쪾]([발빨]이|[바빠]리))|"
    r"((하악){2,}|하[앍앜])|"
    r"(([썅쌍씹씸])[\d\s]*[년련뇬])|"
    r"(([^[0-9]개)[\d\s]*[년련뇬])"
)

# References:
# - https://github.com/organization/Gentleman/blob/master/resources/badwords.json
# - https://github.com/doublems/korean-bad-words/blob/master/korean-bad-words.md
# - https://github.com/jason9693/APEACH
# - https://github.com/smilegate-ai/korean_unsmile_dataset
# - https://github.com/kocohub/korean-hate-speech
bad_words = ['10넘', '10놈', '10발놈', '10발눔', '10밸넘', '10밸늠', '10버지', '10새', '10선비', '10세리', '10쉑', '10스', '10쌔', '10쎄',
             '10앨넘', '10앨놈', '10앨늠', '10창', '10챵', '10탱', '10팔', '10할년', '10할연', '18것', '18넘', '18년', '18놈', '18눔',
             '18늠', '18럼', '18롬', '18새', '18색', '18세끼', '18세리', '18섹', '18쉑', '18쎄리', '1찍', '2찍', '6.9센치', '6.9센티',
             'ASS', 'BDSM', 'BITCH', 'BOGI', 'BOGY', 'BOJI', 'BOJY', 'BOZI', 'BOZY', 'BO지', 'C1발', 'CE발', 'C댕', 'C발',
             'C파', 'C팔', 'DDUK', 'D랄', 'FUCK', 'GOJA', 'GRAL', 'G랄', 'G럴', 'JAJI', 'JAWI', 'JAZI', 'JAZY', 'JA위', 'JA지',
             'JI랄', 'JOT', 'JO빱', 'K여경', 'MC무현', 'NIGGER', 'NO예', 'N조E', 'ORAL', 'PC충', 'P싸개', 'R바', 'S2X', 'SEX',
             'SE엑스', 'SHIT', 'SI발', 'SSLㅂ', 'SUCK', 'SⒺX', 'S파트너', 'TLQKF', 'WTF', 'XIBAL', 'XIVAL', 'XX년', 'XX할', 'X끼',
             'X물', 'X위', 'X지', 'X털', 'ZAZI', 'ZOT', 'Z랄', '^^ 발', '^^ㅣ', '^^발', 'ᄡ', 'ᄣ', 'ᄦ', 'ᄲ', 'ᄺ', 'ᇠ', 'ᇪ',
             '⒮⒠⒳', 'ⒷⓄⓏⒾ', 'ⒸⒶ', 'Ⓞ6Ⓞ', 'Ⓞ⑥Ⓞ', 'ⓇⓄⓄⓂ', 'ⓈEX', 'ㄱRㅇR슴', 'ㄱR슴', 'ㄱㅆㄹㅇ', 'ㄱㅐㄱㅏ', 'ㄱㅐㄱㅣㄴㅑ', 'ㄱㅐㅅㅑ', 'ㄱㅐ가',
             'ㄱㅐ넘', 'ㄱㅐ년', 'ㄱㅐ놈', 'ㄱㅐ눔', 'ㄱㅐ늠', 'ㄱㅐ조옷', 'ㄱㅗ추', 'ㄱㅣ집애', 'ㄲ1ㅈ', 'ㄲㅈ', 'ㄲㅑ', 'ㄲㅣ', 'ㄴㅕ', 'ㄴㅣㅇㅣㅁㅣ', 'ㄷㄷㅣ발',
             'ㄷㅊ', 'ㄷㅏㅂ6', 'ㄷㅐ추ㄹ', 'ㄷㅐ출', 'ㄷㅓㄴ', 'ㄷㅣㅈㅓ', 'ㄷㅣㅈㅕ', 'ㄷㅣ저', 'ㄷㅣ져', 'ㄷㅣ진', 'ㄷㅣ질', 'ㄸㅏㄹㄸㅏㄹ', 'ㄸㅣ발', 'ㄹㅔ즈',
             'ㅁL친', 'ㅁㅈㅎ', 'ㅁㅊ', 'ㅁㅜㄹㅛ', 'ㅁㅣㅊㅣ넘', 'ㅁㅣ첸년', 'ㅁㅣ쳤', 'ㅁㅣ치넘', 'ㅁㅣ친', 'ㅂ  신', 'ㅂ , ㅅ', 'ㅂ . ㅅ', 'ㅂ ㅅ', 'ㅂ 신',
             'ㅂ,ㅅ', 'ㅂ.ㅅ', 'ㅂㅂㅏ구ㄹㅣ', 'ㅂㅂㅏ구리', 'ㅂㅅ', 'ㅂㅈ', 'ㅂㅓ', 'ㅂㅕㄴ', 'ㅂㅕ언', 'ㅂㅕ잉신', 'ㅃㅏㄱㅜ', 'ㅃㅏㄹㅏ', 'ㅃㅏ구ㄹㅣ', 'ㅃㅏ구리',
             'ㅃㅏ순', 'ㅄ', 'ㅅ ㄲ', 'ㅅ ㅋ', 'ㅅ ㅐ ㄲ ㅣ', 'ㅅ ㅐㄲ ㅣ', 'ㅅ 퀴들', 'ㅅ1ㅂ', 'ㅅ1발', 'ㅅLㅂ', 'ㅅL발', 'ㅅㅂ', 'ㅅㅅㅣ불얼',
             'ㅅㅏㄱㄱㅏㅅㅣ', 'ㅅㅏㄱㄱㅏ시', 'ㅅㅏㄲㅏ', 'ㅅㅏ까', 'ㅅㅐ', 'ㅅㅐㄲㅑ', 'ㅅㅐㄲㅣ', 'ㅅㅐ꺄', 'ㅅㅐ뀌', 'ㅅㅐ끼', 'ㅅㅔㄱ', 'ㅅㅔㄲㅣ', 'ㅅㅔ끼', 'ㅅㅔ퀴',
             'ㅅㅣ달년', 'ㅅㅣ박', 'ㅅㅣ벨', 'ㅅㅣ빨', 'ㅅㅣ입팔', 'ㅅㅣ팍', 'ㅅㅣ팔', 'ㅅ끼', 'ㅅ발', 'ㅆ ㅃ', 'ㅆ1', 'ㅆI', 'ㅆL', 'ㅆㄹㄱ', 'ㅆㅂㄹㅁ',
             'ㅆㅂㄻ', 'ㅆㅅㅌㅊ', 'ㅆㅍ', 'ㅆㅏㄲㅏ', 'ㅆㅔㄱ', 'ㅆㅖㄲㅣ', 'ㅆㅖ끼', 'ㅆㅣ', 'ㅆ앙', 'ㅆ엘', 'ㅇㅏㄱㅏㄹㅣ', 'ㅇㅏㄱㅏ리', 'ㅇㅏ가리', 'ㅇㅐㅁㅣ',
             'ㅇㅐㅂㅣ', 'ㅇㅐㅈㅏ', 'ㅇㅐ년', 'ㅇㅐ미', 'ㅇㅐ비', 'ㅇㅐ자', 'ㅇㅔㅁㅣ', 'ㅇㅔ미', 'ㅈ ㄴ', 'ㅈ 노잼', 'ㅈ 돼', 'ㅈ 됐', 'ㅈ 되', 'ㅈ 됬',
             'ㅈ1랄', 'ㅈL랄', 'ㅈㄱㅁㄴ', 'ㅈㄱ만남', 'ㅈㄴ', 'ㅈㄹ', 'ㅈㅈ 빨', 'ㅈㅈ빨', 'ㅈㅏㅇㅟ', 'ㅈㅏㅈㅣ', 'ㅈㅏ우ㅣ', 'ㅈㅣ랄', 'ㅈ가튼', 'ㅈ같', 'ㅈ나',
             'ㅈ노잼', 'ㅈ돼', 'ㅈ됐', 'ㅈ되', 'ㅈ됬', 'ㅈ망', 'ㅉㅈ', 'ㅉㅣㅉㅣ', 'ㅉㅣ찌', 'ㅉ바리', 'ㅍㅁ니즘', 'ㅎㅌㅊ', 'ㅎㅡㅇㅂㅜㄴ', '㉥㉥ㅏ', '㉨ㅏ㉨ㅣ',
             '㉮슴', '㉻㉶', '凸', '가슴 출렁', '가튼 년', '가튼 련', '가튼년', '가튼련', '간땡이', '간첩 새끼', '간첩새끼', '갈보', '감성민국', '강간당',
             '강간두', '같은년', '개 답답', '개 돼지', '개 싫', '개가턴', '개가툰', '개가튼넘', '개같네', '개같은', '개객기', '개구라', '개나발', '개나소나',
             '개너마', '개넘', '개년', '개노마', '개놈', '개뇨나', '개뇸', '개뇽', '개누리', '개눔', '개느마', '개답답', '개대중', '개독', '개돼중', '개돼지',
             '개때끼', '개떡', '개라슥', '개랄', '개만도 못', '개못', '개보지', '개부달', '개부알', '개빡', '개뻥', '개뼈다구', '개뼈다귀', '개뼉다구', '개뼉따구',
             '개뿔', '개상도', '개새', '개색', '개샛끼', '개샛키', '개샛킹', '개샠', '개샤끼', '개샤킥', '개샥', '개섀끼', '개세', '개섹', '개섺', '개셃',
             '개셋키', '개셐', '개소리', '개솩', '개쇄', '개쇅', '개쇗', '개쇠리', '개쇳기', '개쇸', '개수작', '개쉐', '개쉑', '개쉢', '개쉨', '개쉬리', '개쉽',
             '개스끼', '개스키', '개슬람', '개싀기', '개싀끼', '개싀킈', '개싀키', '개싏', '개싘', '개시키', '개싫', '개싯기', '개싯키', '개싴', '개쌍눔', '개쌍늠',
             '개쌍도', '개쌍영', '개쌔', '개쌕', '개썅넘', '개썅늠', '개썅연', '개쎅', '개쐐리', '개쐑', '개쑈', '개쒜', '개쒝', '개쒯', '개쒸', '개쒹기',
             '개쓰래기', '개아들', '개아이', '개야하', '개야한', '개야해', '개욘', '개웃', '개자싁', '개자식', '개자지', '개저씨', '개접', '개젓', '개젖', '개졋',
             '개졎', '개조옷', '개족', '개좌식', '개좝', '개줌마', '개처럼', '개초딩', '개한민국', '개허접', '개헛소리', '개후랄', '걔새', '걔수작', '걔시키',
             '걔썌', '거지같', '걸ㄹㅐ', '걸래 같은', '걸래같은', '걸레 같은', '걸레같은', '검둥이', '게같은', '게너마', '게년', '게노마', '게놈', '게뇨나', '게뇸',
             '게뇽', '게눔', '게독', '게부알', '게새리', '게샛키', '게세끼', '게섹', '게셋키', '게스끼', '게스키', '게시퀴', '게쌔기', '게쌕끼?', '게쓰래기',
             '게자시', '게젓', '계뇽', '계집년', '계집들', '계집련', '고츄', '곧츄', '곧휴', '골갑', '곰재앙', '곶츄', '곶휴', '관심종자', '관종년', '관종놈',
             '관종새', '괴독교', '구녕', '국개위원', '국개의원', '국민의 짐', '국민의암', '국민의짐', '국민짐당', '국밥충', '국짐', '국평오', '군무새', '군바리',
             '군캉스', '군쾅', '군쾅이', '그년', '그룹섹', '그민찍', '그새끼', '그지ㄴ', '그지같', '그지새기', '그켬', '극우일베', '극켬', '극혐', '급식충',
             '급진페미', '기래기', '기레기', '기스끼', '기집년', '길빵', '김여사', '김치X들', '김치녀', '김치년', '김치련', '김치연', '까진년', '깜둥이', '깝쳐',
             '깝쵸', '깝치', '깝친', '깝칠', '깨문이', '깨쉑', '깨시민', '깸비', '꺼벙이', '꺼어저', '꺼어져', '꺼져', '껃여', '껃져', '껒여', '꼬라바',
             '꼬라지', '꼬락서니', '꼬무룩', '꼬봉', '꼬우냐', '꼬추', '꼬츄', '꼬툭튀', '꼰대', '꼳츄', '꼳휴', '꼴 페미', '꼴갑', '꼴값', '꼴갚', '꼴깝',
             '꼴려', '꼴렸', '꼴리는', '꼴리다', '꼴린다', '꼴캅', '꼴통', '꼴패미', '꼴페미', '꼽냐', '꽂추', '꽂츄', '끄져', '끄지라', '나간 년', '나간 놈',
             '나간년', '나간놈', '나쁜년', '나체', '남미새', '남자새끼', '남페미', '남혐종자', '냄저', '냄져', '네다꼰', '네에미', '넴병', '녀언', '년놈', '년들',
             '년아', '년의자식', '녜미', '노노무라', '노땅', '노랑국물', '노망난', '노무 새끼', '노무 스키', '노무새끼', '노무스키', '노무시키', '노짱', '노쨩',
             '노친네', '노콘', '노팬티', '놈들', '놈시키', '놈아', '놈현', '뇌 없', '뇌가 없', '뇬', '눈깔', '뉘기미', '뉘미', '뉘이미', '뉘잉기미', '뉭기미',
             '느개미', '느개비', '느거매', '느검마', '느금', '느급', '늙다리', '늙탱', '능지 박살', '능지 수준', '능지박살', '능지수준', '늬귀미', '늬기미', '늬믜창',
             '늬미', '니귀미', '니그로', '니기미', '니뮈', '니믜', '니미', '니아배', '니아베', '니아비', '니앰', '니어매', '니어메', '니어미', '니에미', '니에비',
             '니엠', '니이미', '니죠때', '니죶데', '니주가리', '님이랄', '닝기리', '닝기미', '다구리', '다리 벌', '다리벌', '닥쳐', '닥쵸', '닥치고', '닥치셔',
             '달창', '닭그네', '닭근혜', '닭년', '닭쳐', '담배빵', '담배충', '대가리', '대가빡', '대갈', '대구빡', '대굴빡', '대깨', '대깨년', '대깨놈', '대깨문',
             '대꺠', '대똥령', '대줄년', '더듬당', '더듬어강간당', '더듬어당', '더듬어만진당', '더듬어성추행당', '더듬이당', '더러운년', '더불어 공산당', '더불어강간당',
             '더불어공산당', '덥치기', '덥침', '덩신', '덮치기', '덮침', '데져라', '데진다', '데질래', '뎡신', '도그플', '도년', '도놈', '도둑년', '도라이',
             '도란년', '도른것', '도른넘', '도른년', '도른뇸', '도태 한남', '도태남', '도태한남', '돈놈', '돌림빵', '돌아이', '돌은것', '돌은년', '돌은놈', '돌은뇸',
             '돌흔', '돼지 새끼', '돼지같은', '돼지녀', '돼지년', '돼지련', '돼지새끼', '돼지시키', '돼진다', '되가리', '되질래', '된장녀', '됻밥', '둥신', '뒈져',
             '뒈지', '뒈진', '뒈질', '뒤길넘', '뒤길놈', '뒤져라', '뒤졌', '뒤즬', '뒤진다', '뒤질', '듀ㄱㅓ', '듀거', '듀글래', '드러븐 새끼', '드러운 새끼',
             '드러운년', '드응신', '듣보', '등띤', '등신', '등씬', '듸랄', '듸뢀', '듸즬', '듸진다', '딍싄', '딍신', '디ㅈㅕ', '디랄', '디럴', '디뢀', '디봘',
             '디저', '디져', '디진다', '디질', '딜도', '딥닥ㅊㅕ', '딩쉰', '딩신', '따먹고 싶', '따먹기', '따먹는', '따먹어', '따먹힐', '따무라', '따묵기', '따식',
             '딱쳐', '딱쵸', '딱치셔', '딸년', '딸따뤼', '딸따리', '딸딸이', '딸련', '딸배', '딸치', '때꺄', '때놈', '때려버', '땡중', '떠라이', '떡걸', '떡촌',
             '떡치', '떨아이', '떵개', '떵싸구', '또ㄹㅏㅇㅣ', '또ㄹㅏ이', '또라이', '똘기', '똘라이', '똘른놈', '똘마니', '똘뱅이', '똘봉년', '똘아이', '똘추',
             '똥개', '똥고집', '똥고충', '똥꼬 따', '똥꼬빨', '똥꼬충', '똥꾸녕', '똥남아', '똥남화', '똥양인', '똥팔육', '뙈놈', '뙤놈', '뙨넘', '뙨놈', '뚜쟁',
             '뚱녀', '뛰발', '뛰봘', '뜁새', '뜨건밤', '뜨발', '뜨벌', '띄랄', '띄발', '띄밸', '띄뱅', '띄벨', '띕알', '띠랄', '띠바', '띠박', '띠발',
             '띠방', '띠밸', '띠벌', '띠벨', '띠불', '띠붕', '띠뷀', '띠브럴', '띠블', '띠이바', '띠이발', '띠이방', '띠이밸', '띠이벌', '띠이불', '띠이붕',
             '띠이팔', '띠이펄', '띠이풀', '띠팔', '띠펄', '띠풀', '띱때', '띱뽕', '띱뿡', '띱새', '띱세', '띱쎄', '라디언', '랄지', '련들', '련아', '링기미',
             '막간년', '막간놈', '막간뇸', '맘충', '맛간년', '맛간놈', '맛간뇸', '맞간년', '매국친일', '매친', '매퇘지년', '매틘', '맬섭', '맹박', '머가리', '머갈',
             '먹버', '멍멍이기독교', '멍텅', '메갈', '메갚페미', '메친', '메퇘지', '메퇘지년', '메틘', '멜돔', '멧퉤들', '멩박', '목발잽이', '몸 대주', '몸 대준',
             '몸 대줄', '몸 팔', '몸을 파는', '몸파는', '몸판', '몸팔', '무뇌', '무식쟁이', '문가놈', '문교주', '문구라', '문빠', '문슬람', '문슬림', '문신돼지',
             '문재앙', '문죄인', '문쪼다', '물고 빨', '물고빨', '뭉가', '뭐칀', '뭬친놈', '뮈칀', '뮈친', '믜칀', '믜칑', '믜친', '믜칭', '믜튄', '믜틘',
             '믜틴', '미꾸라지당', '미랄', '미럴', '미륀', '미린넘', '미린년', '미진놈', '미찬놈', '미첫', '미첸년', '미쳤', '미춘', '미췐', '미췬', '미췽',
             '미츤', '미칀', '미칑', '미치넘', '미치년', '미친', '미칧', '미튼', '미틘', '미틩', '미틴', '믿힌', '및친', '밑친', '밑힌', '바구리', '바랄년',
             '바카라', '박고 싶', '박고싶', '박그네', '박아달라', '박을년', '박큐', '박히고 싶', '발ㅂㅏ부', '발ㅂㅏ브', '발넘', '발년', '배째', '백보디', '밸년',
             '밸놈', '뱅마', '뱅쉰', '뱅싄', '뱅시', '뱅신', '뱅틴', '뱡신', '버러지', '버즤', '버지물', '버짓물', '버케', '벅쿠', '벅큐', '번개남', '번색',
             '번섹', '번쌕', '번쎅', '벙신', '베충', '벨년', '벨놈', '벵쉰', '벵싄', '벵신', '벵틴', '벼ㄴ', '벼언', '벼엉신', '벼잉신', '변GIR', '변T',
             '변녀', '변섹', '병7신', '병ㅅ', '병닥', '병딘', '병딱', '병딲', '병띤', '병삼', '병순', '병쉔', '병쉰', '병싀', '병싄', '병신', '병싡',
             '병싢', '병싱', '병씬', '병씮', '병탁', '보G', '보Z', '보ㅈㅣ', '보댕이', '보빨', '보오지', '보적보', '보전깨', '보전꺠', '보주ㅣ', '보즤',
             '보지년', '보지들', '보지련', '보짓', '보징어', '보짖', '보찌', '보털', '본디지', '봉신', '봉알', '뵝신', '뵤즤', '뵤지', '뵨태', '뵹딱', '뵹싄',
             '뵹신', '부랄', '부럴', '부시맨', '부카케', '부킹맨', '북괴', '분탕질', '불알', '불할', '붐붐고수', '붕가', '붕딱', '붕딲', '붕뛴', '붕싄',
             '붕시나', '붕신', '붕알', '붜지', '붱싄', '붱신', '뷍슨', '뷍싄', '뷍신', '뷔응신', '뷔페미니즘', '뷩쉬', '뷩쉰', '뷩싄', '뷩신', '뷰웅', '뷰지',
             '븅', '븅딱', '븅띤', '븅싄', '븅시', '븅신', '븅아', '븅틴', '브랄', '블알', '븡딱', '븡쉰', '븡신', '븽딱', '븽쉬', '븽슨', '븽싄', '븽시',
             '븽신', '비됴방', '비러머', '비러먹', '비실명', '비용신', '비웅신', '비잉신', '빌어먹', '빙ㅅㅣ', '빙구', '빙닥', '빙딱', '빙뛴', '빙띤', '빙순',
             '빙쉬', '빙쉰', '빙싀', '빙싄', '빙시', '빙신', '빙아', '빙탁', '빙틴', '빠가', '빠걸', '빠구ㄹㅣ', '빠구리', '빠굴', '빠꾸리', '빠도리', '빠돌이',
             '빠라', '빠러', '빠르너', '빠수니', '빠순이', '빠큐', '빡유', '빡촌', '빡큐', '빨개이', '빨갱이', '빨고 싶', '빨고싶', '빨통', '빸유', '빼애액',
             '빼액', '빽보디', '빽보비', '빽큐', '뺑신', '뺑쒼', '뺑씬', '뺘큐', '뻐어큐', '뻐큐', '뻐킹', '뻑가', '뻑구', '뻑뀨', '뻑유', '뻑큐', '뻘노',
             '뻨규', '뻨큐', '뼝신', '뽀쥐', '뽀지', '뽀쮜', '뽀찌', '뽀큐', '뽁큐', '뽈노', '뽈로노', '뽕알', '뿅신', '뿅씬', '뿡알', '쀼웅신', '쁑신',
             '쁘락치', '삐구', '삐꾸', '삐리리', '삑구', '삑꾸', '삥쉰', '삥쒼', '삥씬', '사ㄱㄱㅏㅅㅣ', '사ㄱㄱㅏ시', '사ㄲㅏ', '사가리', '사가지', '사갈탱이',
             '사까ㅅㅣ', '사까리', '사까시', '사까아시', '사까치', '사람 새끼', '사람새끼', '사설토토', '사앙뉸', '사창가', '사카시', '사카치', '삼일한', '삿갓이',
             '삿깟시', '상넘', '상년', '상노무', '상놈', '상페녀', '상폐녀', '새 끼', '새18끼', '새1끼', '새2기', '새X', '새ㄲㅑ', '새ㄲㅣ', '새ㅍ끼', '새갸',
             '새기가', '새기네', '새기들', '새꺄', '새뀌', '새끠', '새끤가', '새끼냐', '새끼들', '새끼야', '새끼임', '새뤼', '새에끼', '새에액스', '새키', '새킼',
             '새킿', '색 기', '색ㄲ', '색ㅋㅑ', '색갸', '색골', '색광', '색기', '색꺄', '색끼', '색남', '색녀', '색마', '색수', '색쉬', '색스', '색쑤',
             '색쓰', '색캬', '색킈', '색키', '색파트너', '색할', '색햐', '색희', '색히', '샊꺄', '샙세', '생쑈', '생키', '샤럽', '샤불년', '샤앙녀', '샤앙년',
             '샥스', '샫업', '샵년', '샷업', '샹넘', '샹년', '샹논', '샹놈', '샹늠', '설라도', '세갸', '세꺄', '세뀌', '세끠', '세액스', '세에끼', '세에쓰',
             '세에엑스', '세엑', '세퀴', '세키', '섹S', '섹걸', '섹골', '섹남', '섹녀', '섹뜨', '섹마', '섹무비', '섹소리', '섹수', '섹쉬', '섹슈', '섹스',
             '섹쑤', '섹쓰', '섹티쉬', '섹파트너', '섹하고', '섹하구', '섹하자', '섹하장', '섹한번', '섹할', '섹해', '섹히', '셁기', '소라넷', '소추', '쇄기',
             '쇄끼', '쇅끼', '쇅수', '쇅스', '쇅쑤', '쇅쓰', '쇍끼', '쇗키', '쇡끼', '수꼴', '술집년', '숩삭키', '쉐기', '쉐꺄', '쉐뀌', '쉐끼', '쉐리',
             '쉐에기', '쉐이', '쉐키', '쉑갸', '쉑꺄', '쉑수', '쉑스', '쉑쑤', '쉑쓰', '쉑이들', '쉑캬', '쉑히', '쉡세', '쉣', '쉣더뻑', '쉨기', '쉨끼',
             '쉨캬', '쉨키', '쉬바', '쉬박', '쉬발', '쉬방', '쉬밸', '쉬뱅', '쉬벌', '쉬벧', '쉬벨', '쉬볼', '쉬봘', '쉬불', '쉬붕', '쉬빌', '쉬빠', '쉬빡',
             '쉬빨', '쉬빵세이', '쉬뻘', '쉬이바', '쉬이발', '쉬이방', '쉬이밸', '쉬이벌', '쉬이불', '쉬이붕', '쉬이빡', '쉬이빨', '쉬이팔', '쉬이펄', '쉬이풀',
             '쉬퀴', '쉬탱', '쉬파', '쉬팍', '쉬팔', '쉬팕', '쉬팛', '쉬팡', '쉬펄', '쉬풀', '쉭빨', '쉭뻘', '쉭셰리', '쉭팔', '쉻알', '쉽ㅅㅐ', '쉽ㅅㅔ',
             '쉽새', '쉽생구리', '쉽샤퀴', '쉽세', '쉽셋', '쉽쌔', '쉽쎄', '쉽쎅', '쉽알', '쉽앨', '쉽탱', '쉽할이', '쉿기', '쉿새', '쉿세', '슈바', '슈발',
             '스발', '스벨', '스시녀', '스엑스', '스윗중년', '스트립쇼', '스트립쑈', '스패킹', '스팽', '스펄', '슨상', '습팔', '싀발', '싀방', '싀밸', '싀벌',
             '싀벨', '싀봉', '싀빨', '싀팍', '싀팔', '싁팍', '싑년', '싑샤퀴', '싑세', '싑알', '싑앨', '싑얄', '싑질', '싓팔', '시-발', '시BAL', '시궁창',
             '시글년', '시끼', '시다바리', '시달년', '시댕', '시뎅', '시땡이', '시랄', '시바', '시박', '시발', '시밝', '시밠', '시밣', '시밬', '시밮', '시밯',
             '시밸', '시뱅', '시뱔', '시뱜', '시벌', '시벨', '시벵', '시봘', '시봟', '시부리', '시불', '시붕', '시뷀', '시블', '시빌', '시빨', '시아눔',
             '시앙넘', '시앙년', '시앙놈', '시앙눔', '시양눔', '시이발', '시이방', '시이밸', '시이벌', '시이불', '시이붕', '시이빡', '시이팔', '시이펄', '시이풀',
             '시입팔', '시정잡배', '시키가', '시키들', '시팍', '시팏', '시팔', '시팕', '시팗', '시팤', '시펄', '시펑', '시퐉', '시퐐', '식팍', '식팔', '신마담',
             '신발끈', '실밸', '싫은 년', '싫은 놈', '싫은년', '싫은놈', '싫은새끼', '싫팛늠', '심탱', '십 새', '십8', '십ㅍ련', '십녀', '십놈', '십때끼',
             '십떼끼', '십라', '십련', '십밸', '십새', '십색', '십선비', '십세', '십셰리', '십쇄리', '십쇡기', '십쉐', '십쉑', '십스키', '십쌔', '십씨키',
             '십앋', '십알', '십왈', '십좌지', '십질', '십창', '십탱', '십팔', '십할', '싯끼', '싯빨', '싯팔', '싯퐐', '싱발', '싲팔', '싴팔', '싵팔',
             '싶알', '싶팔', '싸가리', '싸가지', '싸갈', '싸고시포', '싸달', '싸물', '싸발', '싸뱔', '싸앙넘', '싸앙녀', '싸앙년', '싸앙눔', '싸앙뉸', '싸앙늠',
             '싸이커', '싸줄께', '싸튀', '싹년', '싹수', '싹아쥐', '싹아지', '쌀 것 같', '쌀 것같', '쌀거같', '쌀것같', '쌈치기', '쌉년', '쌍넌', '쌍넘', '쌍년',
             '쌍노무', '쌍놈', '쌍뇨나', '쌍뇸', '쌍뇽', '쌍뉸', '쌍악연', '쌍연', '쌍판떼기', '쌔까', '쌔꺄', '쌔끼', '쌔리', '쌔캬', '쌔키', '쌩쑈', '쌩아다',
             '쌰갈탱', '쌰럽', '쌰앙넘', '쌰앙녀', '쌰앙년', '쌰앙눔', '쌰앙뉸', '쌰앙늠', '쌴년', '썁색', '썁슥', '썁식', '썅', '썅년', '썅놈', '썌꺄', '써글',
             '써벌', '썩열', '썩을넘', '썩을년', '썩을놈', '썩을눔', '썩을늠', '쎄꺄', '쎄끈', '쎄끼', '쎄럽', '쎄엑', '쎅쓰', '쎼ㄲㅣ', '쎼끼', '쎽스', '쐉넘',
             '쐉년', '쐑갸', '쐑꺄', '쐑수', '쐑스', '쐑쑤', '쐑쓰', '쐑캬', '쑤레기', '쑤벌', '쑵년', '쑵새', '쒜끼', '쒜럽', '쒜리', '쒝기', '쒝끼',
             '쒝수', '쒝스', '쒝쑤', '쒝쓰', '쒝캬', '쒭새', '쒸댕아', '쒸바', '쒸박', '쒸발', '쒸방', '쒸밸', '쒸벌', '쒸벨', '쒸벵', '쒸부', '쒸불',
             '쒸붕', '쒸빠', '쒸빡', '쒸빨', '쒸빵', '쒸뻘', '쒸이바', '쒸이발', '쒸이방', '쒸이밸', '쒸이벌', '쒸이부', '쒸이불', '쒸이붕', '쒸이빡', '쒸이빨',
             '쒸이팔', '쒸이펄', '쒸이풀', '쒸입새', '쒸파', '쒸팍', '쒸팔', '쒸펄', '쒸펠', '쒸폴', '쒸풀', '쒸풍', '쓉년', '쓉발', '쓉새', '쓉알', '쓉질',
             '쓉창', '쓉탱', '쓋빨', '쓋뻘', '쓋파라', '쓋팍', '쓰 벌', '쓰ㅡ바', '쓰글', '쓰댕', '쓰델', '쓰뎅', '쓰레기네', '쓰바', '쓰박', '쓰발', '쓰밝',
             '쓰방', '쓰밸', '쓰버', '쓰벌', '쓰볼', '쓰봉', '쓰봘', '쓰부', '쓰불', '쓰붕', '쓰뷀', '쓰브럴', '쓰블', '쓰빡', '쓰뺄', '쓰으방', '쓰으벌',
             '쓰이바', '쓰이발', '쓰이방', '쓰이밸', '쓰이벌', '쓰이부', '쓰이불', '쓰이붕', '쓰이빡', '쓰이팔', '쓰이펄', '쓰이풀', '쓰파', '쓰팍', '쓰팔', '쓰펄',
             '쓰풀', '씁년', '씁새', '씁알', '씁얼', '씌댈', '씌댕', '씌델', '씌뎅', '씌바', '씌발', '씌밝', '씌방', '씌밸', '씌뱅', '씌뱌', '씌벌', '씌벨',
             '씌벵', '씌봉', '씌봘', '씌뵹', '씌부려', '씌블', '씌파', '씌팍', '씌팏', '씌팔', '씌팕', '씌퐁', '씦알', '씨8', '씨가랭', '씨꽈랄', '씨끼',
             '씨댕', '씨델', '씨뎅', '씨땡이', '씨레기', '씨뤠기', '씨바', '씨박', '씨발', '씨밝', '씨밟', '씨밠', '씨밣', '씨밦', '씨방', '씨밮', '씨밯',
             '씨밸', '씨뱅', '씨뱔', '씨벌', '씨벧', '씨벨', '씨벵', '씨봉', '씨봘', '씨봙', '씨봟', '씨봪', '씨뵐', '씨부랠', '씨부렁', '씨부려', '씨부리',
             '씨부얼', '씨불', '씨붕', '씨뷀', '씨뷩', '씨브', '씨블', '씨빠', '씨빡', '씨빨', '씨빯', '씨뻘', '씨뽀랄', '씨뽤', '씨뽥', '씨뿔', '씨쁠',
             '씨앙', '씨양눔', '씨이댕', '씨이바', '씨이발', '씨이방', '씨이밸', '씨이벌', '씨이부', '씨이불', '씨이붕', '씨이빡', '씨이빨', '씨이팔', '씨이펄',
             '씨이풀', '씨입년', '씨탱', '씨텡', '씨파', '씨팍', '씨팏', '씨팔', '씨팕', '씨팗', '씨팞', '씨팡', '씨펄', '씨퐁', '씨풀', '씨풍', '씨필',
             '씨할', '씰알', '씳박', '씳발', '씳알', '씸년', '씸새끼', '씻끼', '씻발', '씻벌', '씻뻘', '씻퐁', '씾팔', '앂년', '앂팔', '아ㄱㅏ리', '아가ㄹㅣ',
             '아가리', '아갈', '아괄', '아구지', '아구창', '아구통', '아굴', '아닥', '아헤가오', '암베', '암캐', '애 새끼', '애ㅂㅣ', '애ㅈㅏ', '애ㅡ비', '애널두',
             '애널입4', '애년', '애마부인', '애믜', '애미', '애븨', '애비', '애새끼', '애자', '애쟈', '애좌', '앰병', '앰창', '앵벌이', '야ㅎㅏㄴ', '야발',
             '양ㅇㅏㅊㅣ', '양ㅇㅏ치', '양넘', '양년', '양놈', '양아치', '엄창', '업소녀', '업소년', '에믜', '에미젓', '엑스터시', '엠병', '엠창', '여물통',
             '여미새', '여자새끼', '여적여', '여편네', '여혐종자', '염병', '염뵹', '염창', '엿같', '엿먹', '영포티', '예수쟁이', '예수팔이', '옘병', '옘빙',
             '오라질', '오랄섹', '오럴섹', '오크년', '오크련', '옷벗기기', '왕따', '왜년', '왜놈', '욘병', '욘뵹', '욘븅', '욤병', '욤뵹', '욧먹어', '우덜',
             '우라질', '우랄질', '우빨', '우파놈', '원조알바', '육갑', '육봉', '육시랄', '육시럴', '윤간', '윤두창', '윤로남불', '윤쪼다', '윤항문', '은년', '은놈',
             '응디시티', '이 년', '이 새기', '이 새끼', '이 샤키', '이기야', '이냔', '이녀나', '이년', '이놈드라', '이뇸', '이새기', '이새끼', '이샤키', '이죄명',
             '인간쓰레기', '일베년', '일본놈', '입닥ㅊㅓ', '입닥ㅊㅕ', '입싸', '입안사정', '자JI', '자댕이', '자슥', '자위', '자적자', '자쥐', '자지년', '자지놈',
             '자지들', '자지련', '자짓', '잠지털', '잡것', '잡넘', '잡년', '잡놈', '잡뇸', '잡밥', '잡탱년', '잣가고', '잣같', '잣된', '장애냐', '장애네',
             '잦같은', '잦된', '잦밥', '잦털', '재기해', '재랄', '재앙아', '재앙이가', '잼민이', '쟞', '저 년', '저 새기', '저 새끼', '저 샤키', '저까',
             '저꽈튼', '저꽛튼', '저냔', '저년', '저놈', '저뇸', '저빠지게', '저빱', '저새기', '저새끼', '저샤키', '적가튼', '적꽈튼', '적와대', '전나게',
             '전나구려', '전라도종특', '전라왜구', '젇놔', '절라', '접년', '접밥', '젓가튼', '젓같내', '젓같은', '젓까', '젓나', '젓된', '젓마난', '젓만이',
             '젓만한', '젓밥', '젓빠지게', '젓은팬티', '정박아', '정신나간', '정신병이냐', '정신병이네', '정신병이노', '정신병이야', '정신병자냐', '정신병자네', '정신병자노',
             '정신병자야', '젖가튼', '젖같', '젖고픈', '젖까', '젖나', '젖도', '젖된', '젖마난', '젖만한', '젖물', '젖밥', '젖빠지게', '젖탱이', '젖통', '젙니',
             '져꽈튼', '졋', '조11나', '조ㄴ나', '조ㄹ라', '조刀ㅏ', '조가튼', '조가틍', '조건만남', '조건카톡', '조까', '조깐다', '조깥', '조껀만남', '조끗네',
             '조낸', '조동아리', '조둥아리', '조또', '조랄', '조랭', '조로남불', '조뢀', '조빠', '조빱', '조삐리', '조선징', '조센', '조오까', '조오또',
             '조오옷', '조옥같네', '조온나', '조옷나', '조카툰', '조털', '족간네', '족같네', '족같은', '족까', '족딸', '족밥', '존 나', '존ㄴㅏ', '존나', '존내',
             '존년', '존니', '존마니', '존만', '존만이', '존만한', '존망이', '존맹구', '존못', '졷', '졷까', '졷따', '졸 라', '졸라', '졸래', '졽', '좀만아',
             '좀물', '좁년', '좁밥', '좁빱', '좃', '좄', '좄ㄲㅏ', '좄까', '종간나', '종교쟁이', '종나', '종북좌파', '좆', '좇', '좇같', '좇이', '좉',
             '좋같은', '좋만', '좌빨', '좌좀', '좌파 쁘락치', '좌파놈', '죄랄', '죄명이', '죄앙', '죠까틍', '죠카태', '죠카테', '죠카툰', '죠콰떼', '죠콰태',
             '죠콰테', '죠콰퉤', '죤나', '죤니', '죤만년', '죤만놈', '죨라', '죳나', '죵나', '죵늬', '주거라', '주글년', '주글래', '주길년', '주댕이', '주데이',
             '주뎅', '주둥아리', '주둥이', '주둥짝', '주딩이', '주우둥이', '주접떨', '죽고싶', '죽고잡', '죽어버려', '죽어버릴', '죽었으면 좋겠', '죽여버', '죽은년',
             '죽을년', '죽을놈', '죽을래', '죽이고 싶', '죽이고싶', '죽인년', '죽일꺼', '죽통', '준내', '줫 같', '줫같', '줴섭다', '쥐랄', '쥐랼', '쥐럴', '쥐롤',
             '쥐뢀', '쥐명박', '쥐새끼', '쥘알', '쥬지', '즈랄', '즈럴', '즌라', '즤랄', '즤랅', '즤랼', '즤롤', '즤뢀', '지 ㄹ', '지 럴', '지1랄',
             '지RAL', '지X', '지껄', '지댈', '지랄', '지랗', '지랠', '지랼', '지럴', '지롤', '지뢀', '지룔', '지룰', '지잡', '질싸', '질알', '짜져',
             '짜쥐', '짜지', '짜찌', '짬지', '짭것', '짭년', '짭놈', '짱개', '짱게이', '짱깨', '짱께이', '짱꼴라', '짱꽤', '짱캐', '쩝밥', '쩤밥', '쪼건',
             '쪼까튼', '쪼껀', '쪼다새', '쪼다색', '쪼빤다', '쪽바라', '쪽바리', '쪽발', '쪽빠리', '쪽파리', '쫀ㄴㅏ', '쫀나', '쫀물', '쫍밥', '쫍빱', '쫒같',
             '찌ㅉㅣ', '찌끄래기', '찌끄레기', '찌랄', '찌랭', '찌지리', '찌질', '찌찌', '찐따', '찐찌버거', '찢어버리고 싶', '창남', '창녀', '창년', '창놈',
             '창뇨', '창여', '챙녀', '챵녀', '챵년', '처 맞', '처넣', '처녀막', '처맞', '처머거', '처먹', '청부살인', '청부폭력', '쳐가', '쳐넣', '쳐닥',
             '쳐닫', '쳐맞', '쳐먹', '쳐죽일', '초글링', '촌년', '촌놈', '최음제', '출장만남', '출장샵', '출장안마', '취집', '친일파 새끼', '친일파새끼', '카X',
             '카섹', '캐년', '캐놈', '캐세끼', '캐셋키', '캐스끼', '캐스키', '캐시키', '컴S', '컴X', '컴색', '컴샷', '컴섹', '컴쎅', '콜걸', '쿵광이',
             '쿵쾅이', '크림걸', '큰년', '탈조선', '토착 왜구', '토착왜구', '틀~딱', '틀깨문', '틀니 딱딱', '틀니딱딱', '틀닦', '틀닭', '틀딱', '틀배', '틀베',
             '틀탁', '팔럼', '패고싶', '패니스', '패미들', '패버릴', '팰라치오', '팸돔', '팸섭', '퍽큐', '퍽킹', '펀색', '펀섹', '페니스', '페미나치', '페미년',
             '페미는', '페미들', '페미질', '페티걸', '펜섭', '펜썹', '펠라치오', '펠라티오', '펨돔', '펨섭', '포온섹', '폰떽', '폰색', '폰섹', '폰쉑', '폰쌕',
             '폰쎅', '폰팅', '폰팔이', '퐁퐁남', '풀발', '풋잡', '피싸개', '핑두', '핑보', '한국년', '한남 유충', '한남 타령', '한남 탓', '한남교주', '한남들',
             '한남새기', '한남새끼', '한남유충', '한남자지', '한남충', '한남타령', '한남탓', '한남페이', '한녀 타령', '한녀들', '한녀보지', '한녀새기', '한녀충',
             '한녀타령', '한년', '할망구', '할카스', '허뎝', '허럯', '허벌', '허접색', '허좁', '허쩝', '헨타이', '헬조선', '헴타이', '형보수지', '호구',
             '호로 새끼', '호로 새퀴', '호로새끼', '호로새퀴', '호모', '호빠', '호스트바', '호스트빠', '호스티스', '호좁', '호테스바', '호테스빠', '홍ㅇㅓ', '홍어 ㅅㄲ',
             '홍어ㅅㄲ', '홍어급', '홍어년', '홍어놈', '홍어들', '홍어족', '화끈남', '화끈녀', '화냥년', '환양년', '환향년', '황교활', '후까시', '후다년', '후라덜',
             '후라들', '후라질', '후래아', '후래자식', '후레', '후릴년', '후빨', '후장', '흑인년', '흑인놈', '흥분제', '히로뽕', '🐕 새끼', '🐕년', '🐕놈',
             '🐕새끼', '🐶 새끼', '🐶년', '🐶놈', '🐶새끼', '🦮 새끼', '🦮년', '🦮놈', '🦮새끼']

exceptions = {
    '꼴려': ['배알 꼴려', '배알꼴려'],
    '꼴리는': ['배알 꼴리는', '배알꼴리는'],
    '꼴리다': ['배알 꼴리다', '배알꼴리다'],
    '꼴린다': ['배알 꼴린다', '배알꼴린다'],
    '꼴렸': ['배알 꼴렸', '배알꼴렸'],
    '뒤진다': ['뒤진다는'],
    '보짓': ['바보짓'],
    '빠가': ['오빠가', '아빠가', '갑빠가'],
    '사카시': ['오사카시'],
    '소추': ['탄핵소추', '탄핵 소추', '소추안'],
    '시바': ['도시바', '시바견', '시바이누'],
    '시발': ['시발점', '시발자전거'],
    '색기': ['색기준', '탐색기', '검색기'],
    '섹슈': ['섹슈얼'],
    '애자': ['성애자', '없애자'],
    '염병': ['전염병'],
    '자위': ['자위대', '자위권'],
    '족같은': ['게르만족같은', '게르만 족같은', '슬라브족같은', '슬라브 족같은'],
    '졸라': ['을 졸라', '를 졸라', '졸라대', '졸라댔', '졸라도', '졸라서', '졸라주', '졸라줄', '졸라맨', '졸라덱스', '프랑코 졸라'],
    '호구': ['호구 조사', '호구조사', '호구마'],
    '호모': ['호모사피', '호모 사피', '호모에렉', '호모 에렉', '호모하빌', '호모 하빌', '호모포비아', '호모포빅'],
    '18년': ['18년도', '18년생', '018년', '118년', '218년', '318년', '418년', '518년', '618년', '718년', '818년', '918년'],
    'SEX': ['SEXUAL', 'SEXIST'],
}

bad_words = [w.upper() for w in bad_words]
bad_words = set(bad_words)
# print(sorted(list(bad_words)))
